package com.taauav.admin.service;

import java.util.List;
import java.util.Map;

/**
 * @author dyg
 * @date 2019/12/17
 */
public interface IMapService {
    /**
     *
     * @param gpsInfo longitude+","+latitude,百度（多组坐标以“；”分隔） 高德（多个坐标对之间用”|”进行分隔最多支持40对坐标）
     * @return
     */
    List<Map<String,String>> getGpsList(String gpsInfo);
    /**
     * 根据坐标获取位置信息
     * @param longitude
     * @param latitude
     * @return
     */
    String getMapInfo(String longitude,String latitude);

    /**
     * gps坐标转换
     * @param gpsStr
     * @return
     */
    String geoconv(String gpsStr);
}
