package com.taauav.admin.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 用户组明细表
 * </p>
 *
 * @author dyg
 * @since 2019-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_auth_group_access")
public class SysAuthGroupAccess extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotEmpty(message = "用户编号不能为空")
    private Integer uid;

    /**
     * 用户组id
     */
    @NotEmpty(message = "角色不能为空")
    private Integer groupId;


}
