package com.taauav.admin.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

/**
 * 挂载设备查询条件
 */
@Data
public class MountEquipmentQuery extends BaseQuery {

    /**
     * 设备名称
     */
    private String name;

    /**
     * 设备编号
     */
    private String equipmentSn;

    /**
     * 类型：1摄像 2其他
     */
    private Integer type;

    /**
     * 设备型号
     */
    private String model;

}
